Subject: Re: Apple IIc to PC Disk Transfers
From: Intelligoth <[email-masked]>
Date: Fri, 29 Sep 2000 01:25:26 -0700
Newsgroups: comp.binaries.apple2

The Apple IIc uses a non-standard serial port.  That is to say it's
not a 9 pin or 25 pin arrangement.  To get my transfers going, I had
to make a custom cable.  Basically a 5 pin DIN to DB-9 connector.

I scrounged up an old, damaged keyboard for the 5pin DIN connector,
the DB-9 adapter I picked up at radio shack for $2.

Here are my notes:

This creates a Null-Modem cable for use with a standard 9 Pin PC
serial port and
the circular 5 pin serial port on an Apple //c or Laser 128 Computer.

PC 9-Pin Serial   to    Apple //c 5-Pin Serial
---------------         ----------------------

Pin 6 - DSR             Pin 1 - DTR 
Pin 2 - RD              Pin 2 - TD
Pin 5 - SGnd            Pin 3 - SGnd
Pin 3 - TD              Pin 4 - RD
Pin 4 - DTR             Pin 5 - DSR

For any other Apple II system, you need a super serial card which has
a
25 pin adapter on it already.  Just use a straight thru DB-25 Cable.
A Null Crossover is not necessary. The SSC has a "null" mode built in.

Just set the jumper block to "Terminal" instead of "Modem".  You can
also use a 9-Pin adapter on the PC side with no ill effect.

DB 25 Pin assigments (PC)        DB 25 Pin assignments (Apple SSC)
-------------------------        ---------------------------------
1   --                           1 Frame Ground
2   TD                           2 TD 
3   RD                           3 RD
4   RTS                          4 RTS
5   CTS                          5 CTS
6   DSR                          6 DSR
7   SGnd                         7 SGnd
8   DCD                          8 DCD
19  --                          19 SCTS
20  DTR                         20 DTR
22  RING                        22 -- 
                                
As pin 22 is unused on the Apple and pin 19 unused on the PC, these
can be considered moot.  All other DB-25 pins not specified are
unused.

-Intelligoth

On Tue, 26 Sep 2000 00:11:36 GMT, "Don Casper"
<[email-masked]> wrote:

>I'm trying to connect an Apple IIc to my PC to do disk image xfers, through
>a null modem cable.  I've been having problems getting the two computers to
>communicate and was wondering if someone else might of had this problem and
>figured it out.
>
>Currently I have a IIc-Imagewriter I cable (din-5 to DB25) connected to the
>modem port on the IIc, through a 25-9 adapter and into COM2 on my PC.  I
>follow the instructions with the adt program, and type IN#2 on the apple,
>followed by '<crtl-a>6b'.  On the PC side I am not using any COM ports other
>than COM1 for a mouse, and I am using Hyperterminal with the setting
>described at http://home.swbell.net/rubywand/Csa2T1TCOM.html#025
>
>I send a text file using the 'Send Text File' command under the Transfer
>menu and I see the characters being typed on the PC screen, but nothing
>happens on the IIc.
>
>Can anyone think of anything I can try to make this connection?  Are there
>dip switches or software settings that need to be set to activate the IIc
>modem port?
>
>Thanks for any help you can give.
>Don Casper
>

-------------------------------------------------------------
"For Color TV Viewing Only" - [email-masked]          
Remove the spamsuxx to contact me